# Generated by Django 3.2.23 on 2023-11-08 11:30

from django.db import migrations, models

import sentry.db.models.fields.bounded
from sentry.new_migrations.migrations import CheckedMigration


class Migration(CheckedMigration):
    # This flag is used to mark that a migration shouldn't be automatically run in production. For
    # the most part, this should only be used for operations where it's safe to run the migration
    # after your code has deployed. So this should not be used for most operations that alter the
    # schema of a table.
    # Here are some things that make sense to mark as dangerous:
    # - Large data migrations. Typically we want these to be run manually by ops so that they can
    #   be monitored and not block the deploy for a long period of time while they run.
    # - Adding indexes to large tables. Since this can take a long time, we'd generally prefer to
    #   have ops run this and not block the deploy. Note that while adding an index is a schema
    #   change, it's completely safe to run the operation after the code has deployed.
    is_dangerous = False

    dependencies = [
        ("sentry", "0599_add_import_chunk"),
    ]

    operations = [
        migrations.AddField(
            model_name="eventattachment",
            name="blob_path",
            field=models.TextField(null=True),
        ),
        migrations.AddField(
            model_name="eventattachment",
            name="content_type",
            field=models.TextField(null=True),
        ),
        migrations.AddField(
            model_name="eventattachment",
            name="sha1",
            field=models.CharField(max_length=40, null=True),
        ),
        migrations.AddField(
            model_name="eventattachment",
            name="size",
            field=sentry.db.models.fields.bounded.BoundedIntegerField(null=True),
        ),
        migrations.AlterField(
            model_name="eventattachment",
            name="file_id",
            field=sentry.db.models.fields.bounded.BoundedBigIntegerField(db_index=True, null=True),
        ),
        migrations.AlterUniqueTogether(
            name="eventattachment",
            unique_together=set(),
        ),
        migrations.AlterIndexTogether(
            name="eventattachment",
            index_together={("project_id", "date_added")},
        ),
    ]
