# Generated by Django 3.2.23 on 2024-01-02 23:41

from django.db import migrations

import sentry.db.models.fields.slug
from sentry.new_migrations.migrations import CheckedMigration


class Migration(CheckedMigration):
    # This flag is used to mark that a migration shouldn't be automatically run in production. For
    # the most part, this should only be used for operations where it's safe to run the migration
    # after your code has deployed. So this should not be used for most operations that alter the
    # schema of a table.
    # Here are some things that make sense to mark as dangerous:
    # - Large data migrations. Typically we want these to be run manually by ops so that they can
    #   be monitored and not block the deploy for a long period of time while they run.
    # - Adding indexes to large tables. Since this can take a long time, we'd generally prefer to
    #   have ops run this and not block the deploy. Note that while adding an index is a schema
    #   change, it's completely safe to run the operation after the code has deployed.
    is_dangerous = False

    dependencies = [
        ("sentry", "0626_add_member_project_creation_bitfield"),
    ]

    operations = [
        migrations.AlterField(
            model_name="dashboardtombstone",
            name="slug",
            field=sentry.db.models.fields.slug.SentrySlugField(db_index=False, max_length=255),
        ),
        migrations.AlterField(
            model_name="docintegration",
            name="slug",
            field=sentry.db.models.fields.slug.SentrySlugField(
                db_index=False, max_length=64, unique=True
            ),
        ),
        migrations.AlterField(
            model_name="monitor",
            name="slug",
            field=sentry.db.models.fields.slug.SentrySlugField(),
        ),
        migrations.AlterField(
            model_name="organization",
            name="slug",
            field=sentry.db.models.fields.slug.SentryOrgSlugField(unique=True),
        ),
        migrations.AlterField(
            model_name="project",
            name="slug",
            field=sentry.db.models.fields.slug.SentrySlugField(null=True),
        ),
        migrations.AlterField(
            model_name="sentryapp",
            name="slug",
            field=sentry.db.models.fields.slug.SentrySlugField(
                db_index=False, max_length=64, unique=True
            ),
        ),
        migrations.AlterField(
            model_name="sentryfunction",
            name="slug",
            field=sentry.db.models.fields.slug.SentrySlugField(
                db_index=False, max_length=64, unique=True
            ),
        ),
        migrations.AlterField(
            model_name="team",
            name="slug",
            field=sentry.db.models.fields.slug.SentrySlugField(),
        ),
    ]
